Subject: Staff Complaint // 517925
From: Seeta Seeta <[email-masked]>
To: [email-masked]
Cc: [email-masked], [email-masked], "Fauzan Ahmad, Musalman" <[email-masked]>, Shakeeb Arsalan <[email-masked]>
Date: Tue, 10 Mar 2020 03:13:55 -0700 (MST)

Hi Team, 

Can you please look into the below customer complaint. 

Hi I have visited Babyshop at WTC, Abu Dhabi on Thursday, 05th March. I rushed to the counter for billing as it was store closing time around 11 PM. Baby dresses and accessories I have chosen were displayed under promotional items buy 2 get 1 but I was informed at the counter that some of those items are not part of the promotion. It happened again when I tried to replace with some other items. Obviously I want to replace with items under promotion. When I moved from the counter to change, I heard a big, loud, rude and arrogant voice from one of your billing staff - Jenelin, shouting "excuse me". And I was not even billing in her counter. I was in the next counter attended by another staff. I don't know why she intervened with so much of rudeness and arrogance. The rudeness and arrogant tone has definitely frustrated me and I have returned all the items I have purchased that night. There was not even a single apology from the staff even after knowing that I am upset and returning all the items because of the poor service. No supervisor was there as well. This is definitely the worst customer experience I have ever had in my 10 years life in UAE, definitely not the service standards set by Mr. & Mrs. Jagtiani. It was an awful and terrible experience. I leave it to the babyshop/landmark group if that's the experience you want to offer to your customers. But as a customer, all that I expect is little bit of courteousness and a simple apology when something goes wrong. I may still continue to shop, but you have just lost a loyal customer. Regards Naina Mohamed 

Thanks & Regards, 
Seeta Kunwar